Bug 16273 - Prevent selfregistration from printing the borrower password and filling the logging form
Summary: Prevent selfregistration from printing the borrower password and filling the ...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-04-15 13:00 UTC by Nicolas Legrand
Modified: 2017-12-07 22:15 UTC (History)
5 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Medium patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16273: Add the new pref PatronSelfRegistrationPrefillForm (3.44 KB, patch)
2016-04-25 08:57 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 16273: Add the ability not to display the login details for newly registered patrons (6.12 KB, patch)
2016-04-25 08:57 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 16273: Add the new pref PatronSelfRegistrationPrefillForm (3.49 KB, patch)
2016-05-03 15:23 UTC, Nicolas Legrand
Details | Diff | Splinter Review
Bug 16273: Add the new pref PatronSelfRegistrationPrefillForm (3.49 KB, patch)
2016-05-03 15:23 UTC, Nicolas Legrand
Details | Diff | Splinter Review
Bug 16273: Add the ability not to display the login details for newly registered patrons (6.18 KB, patch)
2016-05-03 15:24 UTC, Nicolas Legrand
Details | Diff | Splinter Review
[PASSED QA] Bug 16273: Add the new pref PatronSelfRegistrationPrefillForm (3.57 KB, patch)
2016-09-18 20:51 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 16273: Add the ability not to display the login details for newly registered patrons (6.25 KB, patch)
2016-09-18 20:52 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicolas Legrand 2016-04-15 13:00:52 UTC
At the BULAC Library, we use selfregistration on dedicated computer and we would like to prevent the validation display from printing the patron password and from filling the logging form. Some other person queuing for selfregistration may see the password or log the the other patron account if the later doesn't close the page.

A new syspref should be set to keep the old behaviour or choose this new one.
Comment 1 Jonathan Druart 2016-04-25 08:57:28 UTC Comment hidden (obsolete)
Comment 2 Jonathan Druart 2016-04-25 08:57:31 UTC Comment hidden (obsolete)
Comment 3 Nicolas Legrand 2016-05-03 15:23:02 UTC Comment hidden (obsolete)
Comment 4 Nicolas Legrand 2016-05-03 15:23:54 UTC
Created attachment 51157 [details] [review]
Bug 16273: Add the new pref PatronSelfRegistrationPrefillForm

Sponsored-by: BULAC - http://www.bulac.fr/
Signed-off-by: Nicolas Legrand <nicolas.legrand@bulac.fr>
Comment 5 Nicolas Legrand 2016-05-03 15:24:04 UTC
Created attachment 51158 [details] [review]
Bug 16273: Add the ability not to display the login details for newly registered patrons

When a new patron registers, the confirmation page is displayed with
login details (login, password, cardnumber) and the login form is
prefilled.
In the case of public computer, for security reasons that should not
appear, patrons might forget to close the window.

Test plan:
1/ Set PatronSelfRegistrationPrefillForm on
2/ Register a new patron
=> The login details should not be displayed and the login form should
not be prefilled.

Sponsored-by: BULAC - http://www.bulac.fr/
Signed-off-by: Nicolas Legrand <nicolas.legrand@bulac.fr>
Comment 6 Katrin Fischer 2016-08-02 05:33:12 UTC
How is the user informed about his/her login credentials when this preference is turned on?
Comment 7 Jonathan Druart 2016-08-02 07:56:52 UTC
(In reply to Katrin Fischer from comment #6)
> How is the user informed about his/her login credentials when this
> preference is turned on?

Since bug 15343, you can choose your password :)
Comment 8 Katrin Fischer 2016-09-18 20:51:34 UTC
Created attachment 55663 [details] [review]
[PASSED QA] Bug 16273: Add the new pref PatronSelfRegistrationPrefillForm

Sponsored-by: BULAC - http://www.bulac.fr/
Signed-off-by: Nicolas Legrand <nicolas.legrand@bulac.fr>

Signed-off-by: Katrin Fischer  <katrin.fischer@bsz-bw.de>
Comment 9 Katrin Fischer 2016-09-18 20:52:11 UTC
Created attachment 55664 [details] [review]
[PASSED QA] Bug 16273: Add the ability not to display the login details for newly registered patrons

When a new patron registers, the confirmation page is displayed with
login details (login, password, cardnumber) and the login form is
prefilled.
In the case of public computer, for security reasons that should not
appear, patrons might forget to close the window.

Test plan:
1/ Set PatronSelfRegistrationPrefillForm on
2/ Register a new patron
=> The login details should not be displayed and the login form should
not be prefilled.

Sponsored-by: BULAC - http://www.bulac.fr/
Signed-off-by: Nicolas Legrand <nicolas.legrand@bulac.fr>

Signed-off-by: Katrin Fischer  <katrin.fischer@bsz-bw.de>
Comment 10 Kyle M Hall 2016-09-27 13:17:49 UTC
Pushed to master for 16.11, thanks Jonathan!